FROM terradue/l1-binder:3.0

MAINTAINER Terradue S.r.l

USER root

RUN yum install -y nextcloud-client

USER ${NB_USER}

COPY --chown=${NB_USER}:${NB_GID} . ${HOME}

RUN /opt/anaconda/bin/conda env create --file ${HOME}/.binder/environment.yml && /opt/anaconda/bin/conda clean -a -y

RUN /opt/anaconda/envs/env_qgis/bin/python -m ipykernel install --name QGIS-export

ENV PREFIX /opt/anaconda/envs/env_qgis

RUN test -f ${HOME}/.binder/postBuild && chmod +x ${HOME}/.binder/postBuild && ${HOME}/.binder/postBuild || exit 0

WORKDIR ${HOME}
